TikTok Collection Videos API

Scrapes the videos in a public TikTok collection. Pass cursor to get more videos.

1 creditper request
GET
/v1/tiktok/collection/videos
curl "https://api.scrapecreators.com/v1/tiktok/collection/videos" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "collection_id": "7665668414573546258",
  "has_more": false,
  "max_cursor": "5",
  "status_code": 0,
  "status_msg": "",
  "videos": [
    {
      "AIGCDescription": "",
      "CategoryType": 116,
      "IsHDBitrate": false,
      "ShowAIGC": true,
      "anchors": [
        {
          "description": "CapCut ยท Video Editor",
          "type": 54
        }
      ],
      "author": {
        "id": "7506421330087576593",
        "uniqueId": "miotravelapp",
        "nickname": "miotravelapp"
      },
      "createTime": 1784185607,
      "desc": "How often do you reckon they think about the Roman Empire? ๐Ÿˆโ€โฌ›",
      "id": "7663018809392909588",
      "stats": {
        "collectCount": 18900,
        "commentCount": 359,
        "diggCount": 113000,
        "playCount": 865200,
        "shareCount": 15700
      },
      "video": {
        "duration": 68,
        "height": 1024,
        "width": 576,
        "cover": "https://p19-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/oUYM7iBIKB1BL5CGgwAtAiwJEfLCFXAiX9IAEA~tplv-tiktokx-origin.image"
      }
    }
  ]
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

Public TikTok collection URL

Example:
https://www.tiktok.com/@kibblemaster808/collection/Want-to-go-7665668414573546258
cursor
string

Cursor to get more videos. Use max_cursor from the previous response.

Example:
4